Game Servers
Get the associated console for a game server.
GEThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Response
200OKGameServerConsoleDto
Show fieldsHide fields
assigned_runner_idstringRequired
connection_statusenumRequired
Possible enum values
unknowndisconnectedconnectingconnectedbackoff
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
game_server_idFlakeIdRequired
hoststringRequired
portintegerRequired
securebooleanRequired
store_idFlakeIdRequired
typeenumRequired
Possible enum values
unknownrust
last_heartbeat_atstringOptional
passwordstringOptional
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.getGameServerConsole("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console", headers=headers)Response200
{
"assigned_runner_id": "string",
"connection_status": "unknown",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"game_server_id": "411486491630370816",
"host": "string",
"port": 0,
"secure": true,
"store_id": "411486491630370816",
"type": "unknown",
"last_heartbeat_at": "2024-01-01T00:00:00Z",
"password": "string",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
}
}Create a console for a game server.
POSThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Request body
enabledbooleanRequired
hoststringRequired
portintegerRequired
securebooleanRequired
typeenumRequired
Possible enum values
unknownrust
passwordstringOptional
Response
200OKGameServerConsoleDto
Show fieldsHide fields
assigned_runner_idstringRequired
connection_statusenumRequired
Possible enum values
unknowndisconnectedconnectingconnectedbackoff
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
game_server_idFlakeIdRequired
hoststringRequired
portintegerRequired
securebooleanRequired
store_idFlakeIdRequired
typeenumRequired
Possible enum values
unknownrust
last_heartbeat_atstringOptional
passwordstringOptional
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"type": "unknown",
"enabled": true,
"host": "string",
"port": 0,
"secure": true,
"password": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.createGameServerConsole("411486491630370816", {
type: "unknown",
enabled: true,
host: "string",
port: 0,
secure: true,
password: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"type": "unknown",
"enabled": True,
"host": "string",
"port": 0,
"secure": True,
"password": "string",
}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console", headers=headers, json=payload)Response200
{
"assigned_runner_id": "string",
"connection_status": "unknown",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"game_server_id": "411486491630370816",
"host": "string",
"port": 0,
"secure": true,
"store_id": "411486491630370816",
"type": "unknown",
"last_heartbeat_at": "2024-01-01T00:00:00Z",
"password": "string",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
}
}Update a console for a game server.
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Request body
enabledbooleanOptional
hoststringOptional
passwordstringOptional
portintegerOptional
securebooleanOptional
Response
200OKGameServerConsoleDto
Show fieldsHide fields
assigned_runner_idstringRequired
connection_statusenumRequired
Possible enum values
unknowndisconnectedconnectingconnectedbackoff
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
game_server_idFlakeIdRequired
hoststringRequired
portintegerRequired
securebooleanRequired
store_idFlakeIdRequired
typeenumRequired
Possible enum values
unknownrust
last_heartbeat_atstringOptional
passwordstringOptional
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
Failed requests return a PayNowError body. See the error response guide.
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"enabled": true,
"host": "string",
"port": 0,
"password": "string",
"secure": true
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.updateGameServerConsole("411486491630370816", {
enabled: true,
host: "string",
port: 0,
password: "string",
secure: true,
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"enabled": True,
"host": "string",
"port": 0,
"password": "string",
"secure": True,
}
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console", headers=headers, json=payload)Response200
{
"assigned_runner_id": "string",
"connection_status": "unknown",
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"game_server_id": "411486491630370816",
"host": "string",
"port": 0,
"secure": true,
"store_id": "411486491630370816",
"type": "unknown",
"last_heartbeat_at": "2024-01-01T00:00:00Z",
"password": "string",
"updated_at": "2024-01-01T00:00:00Z",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
}
}Delete an associated game server console.
DELETEhttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.gameServers.deleteGameServerConsole("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console", headers=headers)Get console messages for a game server.
GEThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console/messages
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Response
200OKGameServerConsoleMessageDto[]
Show fieldsHide fields
messagestringRequired
timestringRequired
typeenumRequired
Possible enum values
unknownoutputcommandresponsesystem
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console/messages" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.getGameServerConsoleMessages("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/console/messages", headers=headers)Response200
[
{
"message": "string",
"time": "2024-01-01T00:00:00Z",
"type": "unknown"
}
]Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Response
200OKGameServerDto[]
Represents a game server in the PayNow system with authentication tokens and linking information.
Show fieldsHide fields
created_atstringRequired
The date and time when the game server was created in the system.
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
Indicates whether the game server is currently enabled.
idFlakeIdRequired
linked_toGameServerLinkDtoRequired
hostnamestringRequired
ipstringRequired
platformstringRequired
saved_atstringRequired
versionstringRequired
last_fetched_commands_atstringOptional
last_fetched_commands_from_ipstringOptional
namestringRequired
The display name of the game server.
store_idFlakeIdRequired
updated_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
tokenstringOptional
The authentication token used by the game server to access the PayNow API.
token_reset_atstringOptional
The date and time when the authentication token was last reset, if applicable.
updated_atstringOptional
The date and time when the game server was last updated, if applicable.
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/gameservers" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.getGameServers();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/gameservers", headers=headers)Response200
[
{
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"id": "411486491630370816",
"linked_to": {
"hostname": "string",
"ip": "string",
"platform": "string",
"saved_at": "2024-01-01T00:00:00Z",
"version": "string",
"last_fetched_commands_at": "2024-01-01T00:00:00Z",
"last_fetched_commands_from_ip": "string"
},
"name": "string",
"store_id": "411486491630370816",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"token": "string",
"token_reset_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
]Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
Request body
enabledbooleanRequired
namestringRequired
Response
200OKGameServerDto
Represents a game server in the PayNow system with authentication tokens and linking information.
Show fieldsHide fields
created_atstringRequired
The date and time when the game server was created in the system.
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
Indicates whether the game server is currently enabled.
idFlakeIdRequired
linked_toGameServerLinkDtoRequired
hostnamestringRequired
ipstringRequired
platformstringRequired
saved_atstringRequired
versionstringRequired
last_fetched_commands_atstringOptional
last_fetched_commands_from_ipstringOptional
namestringRequired
The display name of the game server.
store_idFlakeIdRequired
updated_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
tokenstringOptional
The authentication token used by the game server to access the PayNow API.
token_reset_atstringOptional
The date and time when the authentication token was last reset, if applicable.
updated_atstringOptional
The date and time when the game server was last updated, if applicable.
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/gameservers" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"enabled": true
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.createGameServer({
name: "string",
enabled: true,
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"name": "string",
"enabled": True,
}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/gameservers", headers=headers, json=payload)Response200
{
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"id": "411486491630370816",
"linked_to": {
"hostname": "string",
"ip": "string",
"platform": "string",
"saved_at": "2024-01-01T00:00:00Z",
"version": "string",
"last_fetched_commands_at": "2024-01-01T00:00:00Z",
"last_fetched_commands_from_ip": "string"
},
"name": "string",
"store_id": "411486491630370816",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"token": "string",
"token_reset_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}Get a Game Server by ID for a store
GEThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Response
200OKGameServerDto[]
Represents a game server in the PayNow system with authentication tokens and linking information.
Show fieldsHide fields
created_atstringRequired
The date and time when the game server was created in the system.
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
Indicates whether the game server is currently enabled.
idFlakeIdRequired
linked_toGameServerLinkDtoRequired
hostnamestringRequired
ipstringRequired
platformstringRequired
saved_atstringRequired
versionstringRequired
last_fetched_commands_atstringOptional
last_fetched_commands_from_ipstringOptional
namestringRequired
The display name of the game server.
store_idFlakeIdRequired
updated_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
tokenstringOptional
The authentication token used by the game server to access the PayNow API.
token_reset_atstringOptional
The date and time when the authentication token was last reset, if applicable.
updated_atstringOptional
The date and time when the game server was last updated, if applicable.
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.getGameServer("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}", headers=headers)Response200
[
{
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"id": "411486491630370816",
"linked_to": {
"hostname": "string",
"ip": "string",
"platform": "string",
"saved_at": "2024-01-01T00:00:00Z",
"version": "string",
"last_fetched_commands_at": "2024-01-01T00:00:00Z",
"last_fetched_commands_from_ip": "string"
},
"name": "string",
"store_id": "411486491630370816",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"token": "string",
"token_reset_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
]Update a Game Server By ID for a store
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Request body
enabledbooleanOptional
namestringOptional
Response
200OKGameServerDto
Represents a game server in the PayNow system with authentication tokens and linking information.
Show fieldsHide fields
created_atstringRequired
The date and time when the game server was created in the system.
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
Indicates whether the game server is currently enabled.
idFlakeIdRequired
linked_toGameServerLinkDtoRequired
hostnamestringRequired
ipstringRequired
platformstringRequired
saved_atstringRequired
versionstringRequired
last_fetched_commands_atstringOptional
last_fetched_commands_from_ipstringOptional
namestringRequired
The display name of the game server.
store_idFlakeIdRequired
updated_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
tokenstringOptional
The authentication token used by the game server to access the PayNow API.
token_reset_atstringOptional
The date and time when the authentication token was last reset, if applicable.
updated_atstringOptional
The date and time when the game server was last updated, if applicable.
Failed requests return a PayNowError body. See the error response guide.
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"enabled": true
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.updateGameServer("411486491630370816", {
name: "string",
enabled: true,
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"name": "string",
"enabled": True,
}
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}", headers=headers, json=payload)Response200
{
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"id": "411486491630370816",
"linked_to": {
"hostname": "string",
"ip": "string",
"platform": "string",
"saved_at": "2024-01-01T00:00:00Z",
"version": "string",
"last_fetched_commands_at": "2024-01-01T00:00:00Z",
"last_fetched_commands_from_ip": "string"
},
"name": "string",
"store_id": "411486491630370816",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"token": "string",
"token_reset_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}Delete a Game Server by ID for a store
DELETEhttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.gameServers.deleteGameServer("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}", headers=headers)Reset the API Key Token for a Game Server for a store
POSThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/reset-token
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Response
200OKGameServerDto
Represents a game server in the PayNow system with authentication tokens and linking information.
Show fieldsHide fields
created_atstringRequired
The date and time when the game server was created in the system.
created_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
enabledbooleanRequired
Indicates whether the game server is currently enabled.
idFlakeIdRequired
linked_toGameServerLinkDtoRequired
hostnamestringRequired
ipstringRequired
platformstringRequired
saved_atstringRequired
versionstringRequired
last_fetched_commands_atstringOptional
last_fetched_commands_from_ipstringOptional
namestringRequired
The display name of the game server.
store_idFlakeIdRequired
updated_byActorDtoRequired
typeenumRequired
Possible enum values
anonymoususerapi_keycustomergame_serverinternaladminplatformglobal_customer
idFlakeIdOptional
tokenstringOptional
The authentication token used by the game server to access the PayNow API.
token_reset_atstringOptional
The date and time when the authentication token was last reset, if applicable.
updated_atstringOptional
The date and time when the game server was last updated, if applicable.
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/reset-token" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.gameServers.resetGameServerToken("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/reset-token", headers=headers)Response200
{
"created_at": "2024-01-01T00:00:00Z",
"created_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"enabled": true,
"id": "411486491630370816",
"linked_to": {
"hostname": "string",
"ip": "string",
"platform": "string",
"saved_at": "2024-01-01T00:00:00Z",
"version": "string",
"last_fetched_commands_at": "2024-01-01T00:00:00Z",
"last_fetched_commands_from_ip": "string"
},
"name": "string",
"store_id": "411486491630370816",
"updated_by": {
"type": "anonymous",
"id": "411486491630370816"
},
"token": "string",
"token_reset_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}